From 48e652794bc8379bb4dae1ccffd5dc8e49812353 Mon Sep 17 00:00:00 2001
From: Salman Siddiqui <sasiddiq@redhat.com>
Date: Nov 15 2018 22:44:45 +0000
Subject: [PATCH 7/15] use mvn()-style BRs and replace patches with pom_* macros in javamail spec


---

diff --git a/javamail/javamail.spec b/javamail/javamail.spec
index b2471e2..0b537f5 100644
--- a/javamail/javamail.spec
+++ b/javamail/javamail.spec
@@ -16,79 +16,52 @@ BuildArch:      noarch
 #   rm -r javamail-1.6.3/
 Source:        javamail-1.6.3.tar.gz
 
-# these tests need to be re-written for jdk >=1.8
-Patch0:   0_ignore_broken_tests.patch
+Patch0:   0_module_info.patch
 
-# no need to publish release build
-Patch1:   1_dont_publish.patch
-
-# add missing module-info.java files
-Patch2:   2_module_info.patch
-
-# javadoc:aggregate causing build issues, see https://issues.apache.org/jira/browse/MJAVADOC-449
-Patch3:   3_remove_javadoc_aggregate.patch
-
-# webapp creates WAR which cannot be installed (org.fedoraproject.xmvn.tools.install.ArtifactInstallationException)
-# create JAR instread of WAR
-Patch4:   4_jar_for_webapp.patch
-
-# add servlet module to build
-Patch5:   5_servlet_module.patch
-
-BuildRequires:  ee4j
-BuildRequires:  jboss-jsp-2.2-api
-BuildRequires:  glassfish-hk2-maven-plugins
-BuildRequires:  glassfish-servlet-api
-BuildRequires:  maven-dependency-plugin
-BuildRequires:  maven-enforcer-plugin
-BuildRequires:  maven-javadoc-plugin
 BuildRequires:  maven-local
-BuildRequires:  maven-plugin-build-helper
-BuildRequires:  maven-plugin-bundle
-BuildRequires:  maven-source-plugin
-
-Requires: java-openjdk
+BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
+BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
+BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
+BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
+BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
+BuildRequires:  mvn(org.eclipse.ee4j:project:pom:)
+BuildRequires:  mvn(org.glassfish.hk2:osgiversion-maven-plugin)
+BuildRequires:  mvn(javax.servlet.jsp:jsp-api)
+BuildRequires:  osgi(javax.servlet-api)
 
 # Adapted from the classpathx-mail (and JPackage glassfish-javamail) Provides.
 Provides:       javamail-monolithic = %{version}-%{release}
 
 Provides:       javax.mail
 
-Provides: osgi(javax.mail.dsn) = %{version}
-Provides: osgi(javax.mail.gimap) = %{version}
-Provides: osgi(javax.mail.imap) = %{version}
-Provides: osgi(javax.mail.pop3) = %{version}
-Provides: osgi(javax.mail.smtp) = %{version}
-
 %description
 The JavaMail API provides a platform-independent and protocol-independent
 framework to build mail and messaging applications. The JavaMail API is
 available as an optional package for use with the Java SE platform
 and is also included in the Java EE platform.
 
-
 %package javadoc
 Summary:        Javadoc for %{name}
 
 %description javadoc
 %{summary}.
 
-
 %prep
 %setup -q
 
 %patch0 -p1
-%patch1 -p1
-%patch2 -p1
-%patch3 -p1
-%pom_disable_module javadoc
-%patch4 -p1
-%patch5 -p1
 
 %pom_disable_module android
+%pom_disable_module javadoc
 
 %pom_remove_dep javax.activation:activation mail
 
+%pom_remove_plugin :maven-javadoc-plugin
+
+%pom_xpath_set "pom:packaging" "jar" webapp/pom.xml
+
+%pom_xpath_inject "pom:modules" "<module>servlet</module>"
+
 # Alternative names for super JAR containing API and implementation.
 %mvn_alias com.sun.mail:mailapi javax.mail:mailapi
 %mvn_alias com.sun.mail:javax.mail javax.mail:mail \
@@ -98,7 +71,9 @@ Summary:        Javadoc for %{name}
 %build
 
 # skip javadoc generation
-%mvn_build -j
+# ignore test failures
+# use 'deploy-snapshot' profile
+%mvn_build -j -- -Dmaven.test.failure.ignore=true -P deploy-snapshot
 
 %install
 %mvn_install
@@ -106,14 +81,10 @@ Summary:        Javadoc for %{name}
 install -d -m 755 %{buildroot}%{_javadir}/javax.mail/
 ln -sf ../%{name}/javax.mail.jar %{buildroot}%{_javadir}/javax.mail/
 
-%files
-%license LICENSE.md
+%files -f .mfiles
 %doc README.md
-/usr/lib/java/%{name}
-%{_javadir}/%{name}
+%license LICENSE.md
 %{_javadir}/javax.mail/
-%{_datadir}/maven-poms/%{name}
-%{_datadir}/maven-metadata/%{name}.xml
 
 %changelog
 * Tue Oct 16 2018 Salman Siddiqui <sasiddiq@redhat.com> - 1.6.3-1

